Method: projects.locations.zones.ops.create

Creates a new ZoneOperation in a given Zone.

HTTP request

POST https://gdchardwaremanagement.googleapis.com/v1alpha/{parent=projects/*/locations/*/zones/*}/ops

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent zone where this operation will be created. Format: projects/{project}/locations/{location}/zones/{zone}

Query parameters

Parameters
zoneOperationId

string

Optional. ID used to uniquely identify the ZoneOperation within its parent scope. This field should contain at most 63 characters and must start with lowercase characters. Only lowercase characters, numbers and - are accepted. The - character cannot be the first or the last one. A system generated ID will be used if the field is not set.

The zoneOperation.name field in the request will be ignored.

requestId

string

Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request.

Request body

The request body contains an instance of ZoneOperation.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.